AppSvcDependencyDAO (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.AppSvcDependencyDAO class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Class AppSvcDependencyDAO

    java.lang.Object
      org.hyperic.hq.dao.HibernateDAO
          org.hyperic.hq.appdef.server.session.AppSvcDependencyDAO

    public class AppSvcDependencyDAO

extends HibernateDAO

Field Summary

Fields inherited from class org.hyperic.hq.dao.HibernateDAO
`BATCH_SIZE`

Constructor Summary
`AppSvcDependencyDAO(DAOFactory f)`

Method Summary
`AppSvcDependency` | `create(AppService appSvc, AppService depSvc)`
`java.util.Collection` | `findByAppAndService(java.lang.Integer appId, java.lang.Integer serviceId)`
`java.util.Collection` | `findByApplication(java.lang.Integer appId)`
`AppSvcDependency` | `findByDependentAndDependor(java.lang.Integer appsvcId, java.lang.Integer depAppSvcId)`
`java.util.Collection` | `findByDependents(AppService entity)`
`AppSvcDependency` | `findById(java.lang.Integer id)`
`void` | `remove(AppSvcDependency entity)`
`void` | `save(AppSvcDependency entity)`

Methods inherited from class org.hyperic.hq.dao.HibernateDAO
`cacheFindAll, createCriteria, createQuery, findAll, findAllOrderByName, findById, findById, flushSession, get, getFactory, getPagedResult, getPagedResult, getPermissionManager, getPersistentClass, getSession, remove, save, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppSvcDependencyDAO

    public AppSvcDependencyDAO(DAOFactory f)

Method Detail

### findById

    public AppSvcDependency findById(java.lang.Integer id)

### save

    public void save(AppSvcDependency entity)

### remove

    public void remove(AppSvcDependency entity)

### create

    public AppSvcDependency create(AppService appSvc,
                                   AppService depSvc)

### findByDependentAndDependor

    public AppSvcDependency findByDependentAndDependor(java.lang.Integer appsvcId,
                                                       java.lang.Integer depAppSvcId)

### findByDependents

    public java.util.Collection findByDependents(AppService entity)

### findByApplication

    public java.util.Collection findByApplication(java.lang.Integer appId)

### findByAppAndService

    public java.util.Collection findByAppAndService(java.lang.Integer appId,
                                                    java.lang.Integer serviceId)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.